Subject: bug#19603: 24.4.51; Improve emacs startup message.

From: Ted Zlatanov <[email-masked]>
Date: Thu, 15 Jan 2015 09:02:05 -0500

On Thu, 15 Jan 2015 07:21:02 +0100 Thierry Volpiatto <[email-masked]> wrote: 

TV> Now emacs packages are widely used,
TV> it would be great to improve the startup message of emacs with a link
TV> about how to quickly setup package.el to be usable.
TV> I have regularly people complaining "It is not working" because
TV> they install packages through package.el and they don't add in their
TV> init file `package-initialize', or they try compiling autoload file
TV> etc...  I have provided a link in my Readme file to redirect to a brief
TV> documentation on how to use all this, but apparently many don't read
TV> this...

I bring this up every 2 years or so; it's time...

In Gnus and Emacs we have assistant.el, which could be used to guide the
user through the necessary steps to get packages working and then go
straight to `list-packages'.  Maybe it could be useful here?

Ted